## IdeLspDiagnosticProvider IdeLspDiagnosticProvider |

## Functions

IdeLspClient * | ide_lsp_diagnostic_provider_get_client ()
void | ide_lsp_diagnostic_provider_set_client ()

## Properties

IdeLspClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_DIAGNOSTIC_PROVIDER
struct | IdeLspDiagnosticProviderClass
| IdeLspDiagnosticProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspDiagnosticProvider

## Implemented Interfaces

IdeLspDiagnosticProvider implements IdeDiagnosticProvider.

## Description

## Functions

### ide_lsp_diagnostic_provider_get_client ()

    IdeLspClient *
    ide_lsp_diagnostic_provider_get_client
                                   (IdeLspDiagnosticProvider *self);

Gets the client used by diagnostic provider.

#### Returns

An IdeLspClient or `NULL`.

[nullable][transfer none]

### ide_lsp_diagnostic_provider_set_client ()

    void
    ide_lsp_diagnostic_provider_set_client
                                   (IdeLspDiagnosticProvider *self,
                                    IdeLspClient *client);

## Types and Values

### IDE_TYPE_LSP_DIAGNOSTIC_PROVIDER

    #define IDE_TYPE_LSP_DIAGNOSTIC_PROVIDER (ide_lsp_diagnostic_provider_get_type())

### struct IdeLspDiagnosticProviderClass

    struct IdeLspDiagnosticProviderClass {
      IdeObjectClass parent_class;
    };

### IdeLspDiagnosticProvider

    typedef struct _IdeLspDiagnosticProvider IdeLspDiagnosticProvider;

## Property Details

### The `“client”` property

      “client”                   IdeLspClient *

The Language Server client.

Owner: IdeLspDiagnosticProvider

Flags: Read / Write